import { useRef, useEffect } from 'react';
import { select, axisBottom } from 'd3';

export const XAxis = ({ xScale, innerWidth, innerHeight }) => {
  const ref = useRef(null)
  useEffect(() => {
    const xAxisG = select(ref.current);
    
    const xAxis = axisBottom(xScale)
    	.tickSize(-innerHeight)
    	.tickPadding(18);
    xAxisG.call(xAxis);
    
    const axisLabel = select(ref.current).selectAll('.xaxis-label').data([null]);
    axisLabel.enter().append('text')
    	.classed('xaxis-label', true)
    		.attr('text-anchor', 'middle')
    		.attr('alignment-baseline', 'hanging')
        .attr('x', innerWidth/2)
        .attr('y', '2em')
        .text('Time');
  }, []);
  return <g transform={`translate(0, ${innerHeight})`} ref={ref} />;
};