import { useRef, useEffect } from 'react';
import { select, axisLeft } from 'd3';

export const YAxis = ({ yScale, innerWidth, innerHeight }) => {
  const ref = useRef(null)
  useEffect(() => {
    const yAxisG = select(ref.current);
    
    const yAxis = axisLeft(yScale)
    	.tickSize(-innerWidth)
    	.tickPadding(3)
    	.ticks(20, "~s");
    yAxisG.call(yAxis);
    
    const axisLabel = select(ref.current).selectAll('.yaxis-label').data([null]);
    axisLabel.enter().append('text')
    	.classed('yaxis-label', true)
    		.attr('transform', `translate(-40,${innerHeight/2}) rotate(-90)`)
    		.attr('text-anchor', 'middle')
        .text('Cumulative Deaths');
    
  }, []);
  return <g ref={ref} />;
};